C                                                            <HTML><PRE>
C For 1-parametric 2-D shooting only, subroutines of file 'rp3d.for',
C called from 'rpar.for' in a case of 2-parametric 3-D shooting, may be
C replaced by the following void versions of the subroutines.
C
C Date: 1998, October 21
C Coded by Ludek Klimes
C
C=======================================================================
C
C     <A NAME="RP3D"></A>
C
      SUBROUTINE RP3D(JRAY,JTYPE,G1,G2)
      INTEGER JRAY,JTYPE
      REAL G1,G2
C
C Common block /RPARD/:
      INCLUDE 'rpard.inc'
C     <A HREF="rpard.inc">rpard.inc</A>
C None of the storage locations of the common block are altered.
C
C-----------------------------------------------------------------------
C
      IF(ISRFX(2).NE.0) THEN
C       <A NAME="error681"></A><FONT COLOR="RED">681</FONT>
        CALL ERROR('681 in RP3D(void version): Wrong value of ISRFX2')
C       ISRFX2 in the input data for 'rpar.for', line (2), has to
C       equal zero if 2-parametric 3-D shooting is disabled.
      END IF
C
      RETURN
      END
C
C=======================================================================
C
C     <A NAME="RPMEM"></A>
C
      SUBROUTINE RPMEM(JRAY,JTYPE,ISHEET,G1,G2,SG11,SG12,SG22,
     *                                        X1,X2,G1X1,G2X1,G1X2,G2X2)
      INTEGER JRAY,JTYPE,ISHEET
      REAL G1,G2,SG11,SG12,SG22,X1,X2,G1X1,G2X1,G1X2,G2X2
C
C-----------------------------------------------------------------------
C
      RETURN
      END
C
C=======================================================================
C                                                                 </PRE>
